/* Zaklady programovani v C++
   Cviceni 7, 23.10.2018
   Okomentovane priklady ze cviceni ... switch a nahodna cisla
*/

#include <iostream> // cin, cout, endl
#include <time.h>   // time()
using namespace std;
//#include <stdlib.h> // rand(), srand()

/* SWITCH bez vetve "default" a bez prikazu break */
void vypis1(int a)
{
	cout << "pro " << a << " vypisuji ";
	switch (a)
	{
	case 1:
		cout << " jedna";
	case 2:
		cout << " dva";
	case 5:
		cout << " pet";
	}
	cout << endl;
}

/* SWITCH s vetvi "default" a s prikazy break */
void vypis2(int a)
{
	cout << "pro " << a << " vypisuji ";
	switch (a)
	{
	case 1:
		cout << "jedna";
		break;
	case 2:
		cout << "dva";
		break;
	case 5:
		cout << "pet";
		break;
	default:
		cout << "jine";
		break;
	}
	cout << endl;
}

void vypis3(int a)
{
	cout << "pro " << a << " vypisuji ";
	switch (a)
	{
	case 1:
		cout << "jedna";
		break;
	case 2:
		cout << "dva";
		break;
	case 3:
		cout << "tri, ";
	case 5:
	case 4:
		cout << "ctyri nebo pet";
		break;
	default:
		cout << "jine";
		break;
	}
	cout << endl;
}

// int mainSwitch()
int main()
{
	srand(time(NULL)); // inicializace generatoru pseudonahodnych cisel

	cout << "\n****** Varianta 1 *******\n";
	for (int i = 0; i < 7; i++)
		vypis1(i);

	cout << "\n****** Varianta 2 *******\n";
	for (int i = 0; i < 7; i++)
		vypis2(i);

	cout << "\n****** Varianta 3 *******\n";
	for (int i = 0; i < 7; i++)
		vypis3(i);

	cout << "\n****** Nahodne cislo *******\n";
	int n;
	for (int i = 0; i < 7; i++)
	{
		n = rand() % 8; // nahodne cislo 0...7
		vypis3(n);
	}
	return 0;

}



