/* Zaklady programovani v C++
   Cviceni 8, 24.10.2018
   Okomentovane priklady ze cviceni ... matice (vicerozmerne staticke pole)
*/
#include <iostream>
using namespace std;
#include <iomanip>

const int m = 3;

/* Funkce vypise na konzoli matici. Vstupem muze byt libovolna matice o m sloupcich.
   n je pocet radku matice. */
void vypis(const double a[][m], int n)
{
	for (int i = 0; i < n; i++)
	{
		for (int j = 0; j < m; j++)
			cout << setw(3) << a[i][j] << " ";
		cout << endl;
	}
	cout << endl;
}

/* Priklad: secteni dvou matic a vypsani vysledku */
void priklad1()
{
	int a[3][2] = { {1,0},{0,-1},{0,1} };
	int b[3][2] = { {-1,-2},{0,3},{-5,2} };
	int c[3][2];     // vysledek souctu

	// soucet matic
	for (int i = 0; i < 3; i++)
		for (int j = 0; j < 2; j++)
			c[i][j] = a[i][j] + b[i][j];

	// vypis vysledku
	for (int i = 0; i < 3; i++)
	{
		for (int j = 0; j < 2; j++)
			cout << setw(3) << c[i][j] << " ";
		cout << endl;
	}
}

/* Priklad: vynasobeni dvou matic a vypsani vysledku */
void priklad2()
{
	int a[3][2] = { {1,0},{0,-1},{0,1} };
	int b[2][4] = { {0,1,0,0},{0,-1,-1,0} };
	int c[3][4];     // vysledek soucinu

	// soucin matic
	for (int i = 0; i < 3; i++)
		for (int j = 0; j < 4; j++)
		{
			c[i][j] = 0;
			for (int k = 0; k < 2; k++)
				c[i][j] += a[i][k] * b[k][j];
		}

	// vypis vysledku
	for (int i = 0; i < 3; i++)
	{
		for (int j = 0; j < 4; j++)
			cout << setw(3) << c[i][j] << " ";
		cout << endl;
	}
}

//int mainMatice()
int main()
{
	cout << "******* Priklad 1 (scitani matic) *******\n";
	priklad1();

	cout << "\n******* Priklad 2 (nasobeni matic) *******\n";
	priklad2();

	cout << "\n******* Priklad 3 (funkce pro vypis matice) *******\n";
	double a[][3] = { {1,2,3},{4,5,6},{7,8,9},{10,11,12} };
	double b[2][3] = { {1,2,3},{4,5,6} };
	double c[2][m] = { 1,2,3,4,5,6 };
	a[0][0] = 10;
	a[0][1] = c[1][1]+a[0][0];
	vypis(a, 4);
	vypis(c, 2);

	return 0;
}

