/* Zaklady programovani v C++
   Cviceni 8, 24.10.2018
   Okomentovane priklady ze cviceni ... jednorozmerne staticke pole
*/

#include <iostream>
using namespace std;

#define ROZMER 10      // makro (symbolicka konstanta)
const int rozmer = 10; // globalni konstantni promenna

int pole[rozmer] = { 1,2,3 };   // pole jako globalni promenna
int pole1[ROZMER];

/* Funkce prinasobi ke vsem prvkum pole delky rozmer hodnotu hodnota */
void prinasob(double pole[], int rozmer, double hodnota)
{
	for (int i = 0; i < rozmer; i++)
		pole[i] *= hodnota;
}

/* Funkce vrati index maximalni hodnoty pole a delky n  */
double maximum(const double a[], int n)
{
	int im = a[0]; // index maxima
	for (int i = 0; i < n; i++)
	{
		if (a[i] > a[im])
			im = i;
	}
	return im;
}

//int mainPole()
int main()
{
	int a1[5] = { 1,2,3,4,5 }; // inicializace pole delky 5
	int a2[] = { 1,2,3,4,5 }; // delka pole podle poctu prvku
	int a3[5] = { 1,2 }; // zbyle prvky pole inicializovane na 0
	int a4[5] = { 0 }; // vsechny prvky pole inicializovane na 0
	double a[5]; // neinicializovane pole

	// delka pole musi byt konstantni vyraz:
	const int n = 8;
	int a5[n];
	int a6[ROZMER];
	int a7[rozmer];

	// kopirovani prvku pole (nelze a5 = a1;)
	for (int i = 0; i < 5; i++)
	{
		a[i] = a1[i];
	}

	// pristup k prvkum pole
	a[4] -= 8;
	int x = a[3];

	// vypis pole
	for (int i = 0; i < 5; i++)
	{
		cout << a[i] << " ";
	}
	cout << endl;

	// volani funkce s parametrem typu pole
	prinasob(a, 4, 0.5); // vynasobi jen prvni 4 prvky pole

	// vypis pole
	for (int i = 0; i < 5; i++)
	{
		cout << a[i] << " ";
	}
	cout << endl;

	int i = maximum(a, 5);
	cout << "maximum pole ma hodnotu " << a[i] << " a je na indexu " << i << endl;


	return 0;
}
